<%-- Tests --%>
<%@ include file="/JspHeader.jsp" %>

<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
	Projects with a low number of tests are often more difficult to maintain.
  Test classes are identified by the presence of specific text (as configured in web.xml).
</w:txt>
</div>
</w:help>

<P>
<table class="report" align="center"> 
 <tr><td><b><fmt:formatNumber value='${fn:length(testClasses)/numJavaFiles}' type='percent' /></b> of your classes are unit test classes.</td></tr>
</table>

<P>
<table class="report" align="center"> 
 <tr><th colspan='4'>Out of ${numJavaFiles} java source files, the following ${fn:length(testClasses)} classes are test classes.</th></tr>
 <tr><th>Num Lines</th><th>File</th><th>Link</th></tr>
 <c:forEach var='item' items='${testClasses}'>
 <tr>
  <td align='right'>${item.numLines}</td>
  <td style='font-size:70%;'>${item.name}</td>
  <td><c:url var='fileURI' value='${w:fileURL(item.name.rawString)}'/><a href='${fileURI}' title='Paste URI directly into address bar. Browser may not follow file:// URIs.'>link</a></td>
  </tr>
 </c:forEach>
 <tr><td align='right'><b><fmt:formatNumber value='${numTestLines}' pattern='#,##0' /></b></td><td>&nbsp;</td><td>&nbsp;</td></tr>
</table>
