<%@ page contentType="text/html" %> <%-- must appear first! --%>
<%@ include file="/JspHeader.jsp" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 
<html>
<head>
 <tags:head/>
</head>
 
<body onload='showFocus()'>

<div align="center" class='main-title'>
 <img src='../../images/web4j2.gif' alt='WEB4J Tools' align='middle'> &nbsp; Developer Tools &nbsp;
 <img src='../../images/web4j2.gif' alt='WEB4J Tools' align='middle'>
</div>
<P>

<hr width='60%'>

<div class="menu-bar">
 <w:highlightCurrentPage styleClass='highlight'> 
  <tags:commonMenuItems/>
  <c:url value="/logview/directories/LogInfoAction.do?Operation=Show" var="logInfoURL"/> <A href='${logInfoURL}' title='Log file directories'>Directories</a>
  <c:url value="/logview/parsedview/ParsedViewAction.do?Operation=Show" var="parsedViewURI"/> <A href='${parsedViewURI}' title='Logs as parsed records'>Parsed Log</a>
  <c:url value="/logview/simpleview/SimpleViewAction.do?Operation=Show" var="simpleViewURL"/> <A href='${simpleViewURL}' title='Logs as simple text'>Raw Log</a>
  <c:url value="/logview/stats/LogStatsAction.do?Operation=Show" var="logStatsURL"/> <A href='${logStatsURL}' title='Stats, relative frequency of log levels'>Stats</a>
  <c:url value="/logview/downtime/DownTimeAction.do" var="downtimeURL"/> <A href='${downtimeURL}' title='Down time, according to application logs'>Down Time</a>
 </w:highlightCurrentPage> 
</div>

<p class="display-messages">
 <b>Log Viewer </b>
 <c:if test='${not empty logInfo}'><b>- Project : ${logInfo.projectName}</b></c:if>
</p>

<%-- Display error and information messages. --%>
<tags:displayMessages/>

<div class="body">
 <c:if test="${not empty param.TBody}">
 <jsp:include page='${param.TBody}' flush="true"/>
 </c:if>
 <c:if test="${empty param.TBody}">
  <jsp:include page="Error.jsp" flush="true"/>
 </c:if>
</div>

<div class='spacer'></div>
<tags:footer/>

</body>
</html>
