<%-- Logging Directories --%>
<%@ include file="/JspHeader.jsp" %>

<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
 Base information about logging directories.
 
 'Tomcat' is named here, but any server may be used, as long as 
 its logs may be parsed by this tool. This tool assume 
 the logs are in the default format of the JDK logger. If the format 
 is different, you will need to amend the source code of this tool.
 
 Tomcat emits several different log files into a single directory. 
 In practice, only one of these logs has the information usually desired 
 by a developer. (In Tomcat 5, those are the 'localhostxxx' logs.)
</w:txt>
</div>
</w:help>

<c:url value="LogInfoAction.do?Operation=Apply" var="baseURL"/> 
<form action='${baseURL}' method="post" class="user-input" name='giveMeFocus'>
<w:populate using='itemForEdit'>
 <table align="center">
  <tr>
   <td><label>Project Name</label></td>
   <td><input type='text' name='ProjectName'  maxlength='100' size='50' ></td>
  </tr>
  <tr>
   <td><label>Application Logging Directory</label></td>
   <td><input type='text' name='AppLoggingDirectory'  maxlength='100' size='50' title='Must end with a separator'></td>
  </tr>
  <tr>
   <td><label>Tomcat Logging Directory</label></td>
   <td><input type='text' name='ServerLoggingDirectory'  maxlength='100' size='50' title='Must end in a separator' ></td>
  </tr>
  <tr>
   <td><label>Tomcat Log File Starts With</label></td>
   <td><input type='text' name='ServerLogFileStartsWith'  maxlength='100' size='50' ></td>
  </tr>
  <tr>
   <td align="center" colspan=2><input type="submit" value="Override Default Settings"></td>
  </tr>
 </table>
 </w:populate>
</form>
