<%-- Log Stats --%>
<%@ include file="/JspHeader.jsp" %>
<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
 Simple stats on log files. Chart shows the relative frequency of 
 the various levels. Implementation uses parsed log records. 
 Applies to whole log file, with no filtering applied. 
</w:txt>
</div>
</w:help>

<c:url var='baseURI' value=''/>

<w:populate>
<form action='${baseURI}' method='GET' class="user-input" name='giveMeFocus'>
 <table align='center'>
  <tr>
   <td><label>Log For</label></td>
   <td>
     <input type='radio' name='Log For' value='Application' checked> Application 
     <input type='radio' name='Log For' value='Server'> Tomcat
    </td>
  </tr>
</w:populate>
  <tr>
    <td>&nbsp;</td>
    <td>
     <input type='submit' value="View Stats">
     <input type="hidden" name="Operation" value="Search">
    </td>
   </tr>
  </table>
</form>

<c:if test='${not empty mostRecentLog}'>
<P>
<table class="report" align="center"> 
 <tr>
  <td>
<b>File Name :</b> ${mostRecentLog.absolutePath} <br>
<b>Last Modified :</b> <fmt:formatDate value='${mostRecentLogDate}'  pattern='yyyy-MM-dd HH:mm:ss'/> <br>
<b>Size :</b> <fmt:formatNumber value='${mostRecentLogSize}' pattern='#,##0'/> bytes <br>
<b>Total Number of Records :</b> <fmt:formatNumber value='${totalRecords}' pattern='#,##0'/><br>
<b>First Record Logged On :</b> <fmt:formatDate value='${firstRecordDate}'  pattern='yyyy-MM-dd HH:mm:ss'/> <br>
<b>Last Record Logged On :</b> <fmt:formatDate value='${lastRecordDate}'  pattern='yyyy-MM-dd HH:mm:ss'/> <br>
  </td>
 </tr>
</table>
</c:if>

<c:if test='${not empty buckets}'>
<P>
<table class="report" align="center"> 
 <tr><th colspan='4' align='center'>Relative Frequency of Levels</th></tr>
 <tr>
   <th>Level</th>
   <th>Graph</th>
   <th title='Percent of all log records at this level' align='right'>%</th>
   <th title='Number of log records at this level'  align='right'>Num</th>
 <c:forEach var='item' items='${buckets}'>
 <tr>
  <td>${item.level}</td>
  <td align='left'><img src="../../images/green.gif" height="10" width="${250*item.count/totalRecords}" alt='Graph'></td>
  <td align='right' title='Percent of all log records at this level'><fmt:formatNumber value='${item.count/totalRecords}' type='percent'/></td>
  <td align='right'  title='Number of log records at this level'><fmt:formatNumber value='${item.count}' pattern='#,##0'/></td>
  </tr>
 </c:forEach>
</table>
</c:if>
