<%-- Files --%>
<%@ include file="/JspHeader.jsp" %>

<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
 Sortable file listing for all files under your project's base directory.
 
 The file:// link is syntactically correct, but your browser may not follow these links, as a possible security hole.
 The workaround is simply to copy and past the link directly into the browser address bar.
</w:txt>
</div>
</w:help>

<P>
<table class="report" align="center"> 
 <tr>
   <th>Extension<tags:sortLinks column="Extension" baseURI=""/></th>
   <th>Full Name (Feature)<tags:sortLinks column="FullName" baseURI=""/></th>
   <th>Lines<tags:sortLinks column="Lines" baseURI=""/></th>
   <th>Modified<tags:sortLinks column="Modified" baseURI=""/></th>
   <th>Bytes<tags:sortLinks column="Bytes" baseURI=""/></th>
   <th>Link</th></tr>
 <c:forEach var='item' items='${fileInfoList}'>
 <tr>
  <td align='right'>${item.extension}</td>
  <td style='font-size:70%;'>${item.name}</td>
  <td align='right'><c:if test='${item.numLines > 0}'><fmt:formatNumber value='${item.numLines}' pattern='#,##0'/></c:if></td>
  <td align='right'><fmt:formatDate value='${item.lastModified}' pattern='yyyy-MM-dd HH:mm' /></td>
  <td align='right'><fmt:formatNumber value='${item.size}' pattern='#,##0'/></td>
  <td><c:url var='fileURI' value='${w:fileURL(item.name.rawString)}'/><a href='${fileURI}' title='Paste URI directly into address bar. Browser may not follow file:// URIs.'>link</a></td>
  </tr>
 </c:forEach>
</table>
