<%-- Jars --%>
<%@ include file="/JspHeader.jsp" %>

<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
 Confirms the version of jars you have in your project, by inspecting the jar manifest.
</w:txt>
</div>
</w:help>

<P>
<table class="report" align="center"> 
 <tr>
   <th>Full Name</th>
   <th>Specification Name and Version</th>
   <th>Modified</th>
   <th>Bytes</th>
 <c:forEach var='item' items='${jarFiles}'>
 <tr>
  <td style='font-size:70%;'>${item.name}</td>
  <td>${item.specification}</td>
  <td align='right'><fmt:formatDate value='${item.lastModified}' pattern='yyyy-MM-dd HH:mm' /></td>
  <td align='right'><fmt:formatNumber value='${item.size}' pattern='#,##0'/></td>
  </tr>
 </c:forEach>
</table>
